Bug 122866 - installer crashes during installation
installer crashes during installation
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-09 12:01 EDT by Neil Jansen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 08:57:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Jansen 2004-05-09 12:01:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
I'm trying to install Fedora on a Dell Inspiron 8100 laptop (PIII
1ghz, 256mb, geforce2go w/32mb)

after all the install options have been selected, it pops up with this:

An unhandles exception has occured:

Traceback (most recent lines last)

* File "/usr/lib/anaconda/lib.py", line 1047, in handlerendercallback
self.currentwindow.rendercallback()

* File "/usr/lib/anaconda/iw/progress_gui.py", line 242, in
rendercallback self.intf.icw.nextclicked()

* File "/usr/lib/anaconda/gui.py", line 766, in nextclicked
self.dispatch.gotonext()

* File "/usr/lib/anaconda/dispatch.py", line 168, in gotonext
self.movestep()

* File "/usr/lib/anaconda/dispatch.py", line 766, in movestep
rc=apply(func,self.bindargs(args))

* File "/usr/lib/anaconda/packages.py", line 656, in dopreinstall
method.mergefullheaders(:d.grpset.hdrlist)

* File "/usr/lib/anaconda/packages.py", line 102, in mergefullheaders
hdlist.mergefullheaders("%s/%s/base/hdlist2" % (self.tree, productpath))

* File "/usr/lib/anaconda/hdrlist.py", line 333, in mergefullheaders
rpm.mergeheaderlist from fd(self.hdlist,fd,1000004)

Index error: list index out of range

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Actual Results:  An unhandles exception has occured:

Traceback (most recent lines last)

* File "/usr/lib/anaconda/lib.py", line 1047, in handlerendercallback
self.currentwindow.rendercallback()

* File "/usr/lib/anaconda/iw/progress_gui.py", line 242, in
rendercallback self.intf.icw.nextclicked()

* File "/usr/lib/anaconda/gui.py", line 766, in nextclicked
self.dispatch.gotonext()

* File "/usr/lib/anaconda/dispatch.py", line 168, in gotonext
self.movestep()

* File "/usr/lib/anaconda/dispatch.py", line 766, in movestep
rc=apply(func,self.bindargs(args))

* File "/usr/lib/anaconda/packages.py", line 656, in dopreinstall
method.mergefullheaders(:d.grpset.hdrlist)

* File "/usr/lib/anaconda/packages.py", line 102, in mergefullheaders
hdlist.mergefullheaders("%s/%s/base/hdlist2" % (self.tree, productpath))

* File "/usr/lib/anaconda/hdrlist.py", line 333, in mergefullheaders
rpm.mergeheaderlist from fd(self.hdlist,fd,1000004)

Index error: list index out of range

Expected Results:  it shouldn't have crashed

Additional info:
Comment 1 Jeremy Katz 2004-05-10 12:37:34 EDT
What sort of installation type was this?  Is it reproducible?
Comment 2 Neil Jansen 2004-05-11 02:34:08 EDT
yes, it's reproducable... it crashes at the same point every time with
the same python script dump...

installation type?  i chose "custom", and selected almost everything
except the web/mail servers.....
Comment 3 Jeremy Katz 2004-09-22 15:46:07 EDT
Does this happen with the final FC2?
Comment 4 Jeremy Katz 2004-11-04 08:57:54 EST
Closing due to inactivity.  Please reopen this bug if you have further
information to add to the report.

Note You need to log in before you can comment on or make changes to this bug.